// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".


EDITOR_MENU *GetRelatedEditorMenu(EDITOR_MENU *theMenu,int menuRelationship);
void UpdateMenuWindow(EDITOR_WINDOW *theWindow);
void DeactivateEditorMenu(EDITOR_MENU *theMenu);
void ActivateEditorMenu(EDITOR_MENU *theMenu);
char *GetEditorMenuName(EDITOR_MENU *theMenu);
bool SetEditorMenuName(EDITOR_MENU *theMenu,const char *theName);
char *GetEditorMenuAttributes(EDITOR_MENU *theMenu);
bool SetEditorMenuAttributes(EDITOR_MENU *theMenu,const char *theAttributes);
char *GetEditorMenuDataText(EDITOR_MENU *theMenu);
bool SetEditorMenuDataText(EDITOR_MENU *theMenu,const char *theDataText);
bool GetEditorMenu(int argc,const char *argv[],EDITOR_MENU **theMenu);
void RealizeEditorMenu(EDITOR_MENU* theMenu);
void DisposeEditorMenu(EDITOR_MENU *theMenu);
EDITOR_MENU *CreateEditorMenu(int argc,const char *argv[],int menuRelationship,const char *theName,const char *theAttributes,const char *dataText,bool active);
bool AttemptMenuKeyPress(XEvent *theEvent);
void MenuWindowEvent(EDITOR_WINDOW *theWindow,XEvent *theEvent);
void RaiseRootMenu();
bool InitEditorMenus();
void UnInitEditorMenus();
