// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".


char *GetEditorLocalVersion();
bool PointInRECT(INT32 x,INT32 y,EDITOR_RECT *theRect);
void GlobalToLocal(Window theXWindow,INT32 x,INT32 y,INT32 *outX,INT32 *outY);
void LocalToGlobal(Window theXWindow,INT32 x,INT32 y,INT32 *outX,INT32 *outY);
void EditorBeep();
void ReportMessage(char *format,...);
void ShowBusy();
void ShowNotBusy();
char *CreateWindowTitleFromPath(char *absolutePath);
char *realpath2(char *path,char *outputPath);
char *CreateAbsolutePath(char *relativePath);
bool LocateStartupScript(char *scriptPath);
EDITOR_FILE *OpenEditorReadFile(char *thePath);
EDITOR_FILE *OpenEditorWriteFile(char *thePath);
bool ReadEditorFile(EDITOR_FILE *theFile,UINT8 *theBuffer,UINT32 bytesToRead,UINT32 *bytesRead);
bool WriteEditorFile(EDITOR_FILE *theFile,UINT8 *theBuffer,UINT32 bytesToWrite,UINT32 *bytesWritten);
void CloseEditorFile(EDITOR_FILE *theFile);
void OutlineShadowRectangle(Window xWindow,GC graphicsContext,EDITOR_RECT *theRect,EDITOR_COLOR upperLeftColor,EDITOR_COLOR lowerRightColor,UINT32 thickness);
