// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".


void SetBufferBusy(EDITOR_BUFFER *theBuffer);
void ClearBufferBusy(EDITOR_BUFFER *theBuffer);
bool BufferBusy(EDITOR_BUFFER *theBuffer);
EDITOR_BUFFER *EditorGetFirstBuffer();
EDITOR_BUFFER *EditorGetNextBuffer(EDITOR_BUFFER *theBuffer);
EDITOR_BUFFER *LocateBuffer(char *bufferName);
void EditorCloseBuffer(EDITOR_BUFFER *theBuffer);
void EditorReleaseBufferHandle(EDITOR_BUFFER_HANDLE *theHandle);
void EditorGrabBufferHandle(EDITOR_BUFFER_HANDLE *theHandle,EDITOR_BUFFER *theBuffer);
EDITOR_BUFFER *EditorGetBufferFromHandle(EDITOR_BUFFER_HANDLE *theHandle);
void EditorInitBufferHandle(EDITOR_BUFFER_HANDLE *theHandle);
bool EditorRevertBuffer(EDITOR_BUFFER *theBuffer);
bool EditorSaveBufferTo(EDITOR_BUFFER *theBuffer,char *thePath);
bool EditorSaveBufferAs(EDITOR_BUFFER *theBuffer,char *thePath);
bool EditorSaveBuffer(EDITOR_BUFFER *theBuffer);
EDITOR_BUFFER *EditorNewBuffer(char *bufferName);
EDITOR_BUFFER *EditorOpenBuffer(char *thePath);
void UnInitBuffers();
bool InitBuffers();
