// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".


void BeginUndoGroup(EDITOR_BUFFER *theBuffer);
void EndUndoGroup(EDITOR_BUFFER *theBuffer);
void StrictEndUndoGroup(EDITOR_BUFFER *theBuffer);
bool RegisterUndoDelete(EDITOR_BUFFER *theBuffer,UINT32 startPosition,UINT32 numBytes,bool allowMerge);
bool RegisterUndoInsert(EDITOR_BUFFER *theBuffer,UINT32 startPosition,UINT32 numBytes,bool allowMerge);
bool EditorUndo(EDITOR_BUFFER *theBuffer);
bool EditorRedo(EDITOR_BUFFER *theBuffer);
bool EditorToggleUndo(EDITOR_BUFFER *theBuffer);
void EditorClearUndo(EDITOR_BUFFER *theBuffer);
void SetUndoCleanPoint(EDITOR_BUFFER *theBuffer);
bool AtUndoCleanPoint(EDITOR_BUFFER *theBuffer);
UNDO_UNIVERSE *OpenUndoUniverse();
void CloseUndoUniverse(UNDO_UNIVERSE *theUniverse);
