// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".


void ViewEndSelectionChange(EDITOR_VIEW *theView);
void ViewStartSelectionChange(EDITOR_VIEW *theView);
void ViewEndMarkChange(MARK_VISIBILITY *theVisibility);
void ViewStartMarkChange(MARK_VISIBILITY *theVisibility);
void ViewEndStyleAttributeChange(EDITOR_VIEW *theView);
void ViewStartStyleAttributeChange(EDITOR_VIEW *theView);
void ViewEndStyleChange(EDITOR_VIEW *theView);
void ViewStartStyleChange(EDITOR_VIEW *theView);
void ViewEndTabSizeChange(EDITOR_VIEW *theView);
void ViewStartTabSizeChange(EDITOR_VIEW *theView);
void ViewEndTextChange(EDITOR_VIEW *theView);
void ViewStartTextChange(EDITOR_VIEW *theView);
void ViewEndActiveChange(EDITOR_VIEW *theView);
void ViewStartActiveChange(EDITOR_VIEW *theView);
UINT32 GetEditorViewTabSize(EDITOR_VIEW *theView);
bool SetEditorViewTabSize(EDITOR_VIEW *theView,UINT32 theSize);
bool GetEditorViewStyleFont(EDITOR_VIEW *theView,UINT32 theStyle,char *theFont,UINT32 stringBytes);
bool SetEditorViewStyleFont(EDITOR_VIEW *theView,UINT32 theStyle,char *theFont);
void ClearEditorViewStyleFont(EDITOR_VIEW *theView,UINT32 theStyle);
bool GetEditorViewStyleForegroundColor(EDITOR_VIEW *theView,UINT32 theStyle,EDITOR_COLOR *foregroundColor);
bool SetEditorViewStyleForegroundColor(EDITOR_VIEW *theView,UINT32 theStyle,EDITOR_COLOR foregroundColor);
void ClearEditorViewStyleForegroundColor(EDITOR_VIEW *theView,UINT32 theStyle);
bool GetEditorViewStyleBackgroundColor(EDITOR_VIEW *theView,UINT32 theStyle,EDITOR_COLOR *backgroundColor);
bool SetEditorViewStyleBackgroundColor(EDITOR_VIEW *theView,UINT32 theStyle,EDITOR_COLOR backgroundColor);
void ClearEditorViewStyleBackgroundColor(EDITOR_VIEW *theView,UINT32 theStyle);
bool GetEditorViewSelectionForegroundColor(EDITOR_VIEW *theView,EDITOR_COLOR *foregroundColor);
bool SetEditorViewSelectionForegroundColor(EDITOR_VIEW *theView,EDITOR_COLOR foregroundColor);
void ClearEditorViewSelectionForegroundColor(EDITOR_VIEW *theView);
bool GetEditorViewSelectionBackgroundColor(EDITOR_VIEW *theView,EDITOR_COLOR *backgroundColor);
bool SetEditorViewSelectionBackgroundColor(EDITOR_VIEW *theView,EDITOR_COLOR backgroundColor);
void ClearEditorViewSelectionBackgroundColor(EDITOR_VIEW *theView);
void ViewsEndSelectionChange(EDITOR_BUFFER *theBuffer);
void ViewsStartSelectionChange(EDITOR_BUFFER *theBuffer);
void ViewInvalidateMark(EDITOR_VIEW *theView,EDITOR_MARK *theMark);
void ViewsInvalidateMark(EDITOR_MARK *theMark);
void ViewsEndMarkChange(EDITOR_MARK *theMark);
void ViewsStartMarkChange(EDITOR_MARK *theMark);
void ViewsStartStyleChange(EDITOR_BUFFER *theBuffer);
void ViewsEndStyleChange(EDITOR_BUFFER *theBuffer);
void ViewsStartTextChange(EDITOR_BUFFER *theBuffer);
void ViewsEndTextChange(EDITOR_BUFFER *theBuffer);
void EditorActivateView(EDITOR_VIEW *theView);
void EditorDeactivateView(EDITOR_VIEW *theView);
void DisposeEditorView(EDITOR_VIEW *theView);
EDITOR_VIEW *CreateEditorView(EDITOR_WINDOW *theWindow,EDITOR_VIEW_DESCRIPTOR *theDescriptor);
